Subject: Re: linux-next: error importing i2c quilt series

From: Jean Delvare <[email-masked]>
Date: Mon, 25 Oct 2010 11:25:19 +0200

On Mon, 25 Oct 2010 19:53:49 +1100, Stephen Rothwell wrote:
> Hi Jean,
> 
> On Mon, 25 Oct 2010 10:34:04 +0200 Jean Delvare <[email-masked]> wrote:
> >
> > This patch depends on a patch adding/updating PCI IDs which I thought
> > was in Jesse Barnes' pci tree which you also pull in linux-next.
> > Apparently my assumption was wrong.
> 
> Your series file says that your series is based on 2.6.36-git5, not
> Jesse's pci tree.  You can add:
> 
> # NEXT-BASE pci
> 
> to your series file to force me to import your series on top of Jesse's
> tree instead of 2.6.36-rc5.

I thought it was NEXT_BASE, with an underscore not dash?

And I also expected the trees to be merged in the order shows in:
http://git.kernel.org/?p=linux/kernel/git/sfr/linux-next.git;a=blob;f=Next/Trees;hb=HEAD

As pci is listed before i2c, I (wrongly) concluded that everything
would be fine even without using NEXT_BASE. I stand corrected.

> > Jesse, where's this patch?
> >   https://patchwork.kernel.org/patch/230361/
> > I certainly hope it's scheduled for merge soon!
> > 
> > Meanwhile I've removed the other patch from my i2c-next tree, it will
> > be back only when I'm certain it applied fine.
> 
> OK, thanks

-- 
Jean Delvare